Translate

docs/0.4/freecad/basefunction
docs/0.3/freecad/basefunction
As an example we use the follwing function to create washers:
SourceTranslationState
39
[<img alt="Expanded treeview" src="{{ static(partsselector3.png) }}" />]({{ static(partsselector3.png) }})
[<img alt="Arborescence développée" src="{{ static(partsselector3.png) }}" />]({{ static(partsselector3.png) }})
40
How to setup a base function
Comment définir une fonction de base
41

You need to have FreeCAD and [FreeCAD for BOLTS installed]({{ doc(freecad, installation) }}).

Vous avez besoin d'avoir FreeCAD et [BOLTS pour FreeCAD installé]({{ doc(freecad, installation) }}).
42
This assumes that the [blt file]({{ doc(general, blt-files) }}) for this part
is already created, and you have a python function that creates the part that
you want to add to BOLTS. For more information on part scripting in FreeCAD see
the [FreeCAD documentation on this topic](http://freecadweb.org/wiki/index.php?title=Power_users_hub).
On suppose que le [fichier blt]({{ doc(general, blt-files) }}) pour cette pièce
est déjà créée, et que vous avez la fonction python de création de la pièce que
vous voulez ajouter à BOLTS. Pour plus d'informations concernant la création de pièces au moyen d'un script dans FreeCAD voir
la [documentation FreeCAD dans ce sujet](http://freecadweb.org/wiki/index.php?title=Power_users_hub).
43

### The function


### La fonction
44
As an example we use the follwing function to create washers:
On utilise la fonction suivant de création d'un boulon comme exemple :
45
import Part
import Part
46
def washer1(params,document):
key = params['key']
d1 = params['d1']
d2 = params['d2']
s = params['s']
name = params['name']
def washer1(params,document):
key = params['key']
d1 = params['d1']
d2 = params['d2']
s = params['s']
name = params['name']
47
part = document.addObject("Part::Feature",name)
outer = Part.makeCylinder(d2,s)
inner = Part.makeCylinder(d1,s)
part.Shape = outer.cut(inner).removeSplitter()
part = document.addObject("Part::Feature",name)
outer = Part.makeCylinder(d2,s)
inner = Part.makeCylinder(d1,s)
part.Shape = outer.cut(inner).removeSplitter()
48
This function uses the CSG facilities of FreeCAD, but it is equally possible to
use BRep scripting.
Cette fonction utilise les capacités CSG de FreeCAD, mais il est également possible
d’utiliser un script BRep.
49
It is necessary to write the function such that it is a function of two
parameters, a dict of parameter names and values, and a FreeCAD document. The
keys of this dict will be the names of the parameters of the part, as described
in the blt file. There is an additional parameter `name` that holds the name of
the part.
3 months ago Anonymous user has suggested
On utilise la fonction suivant de création d'une rondelle comme exemple :

Suggested change:

On utilise la fonction suivant de création d'une boulrondelle comme exemple :
3 months ago Anonymous user has suggested
On utilise la fonction suivant de création d'une rondelle comme exemple :

Suggested change:

On utilise la fonction suivant de création d'une boulrondelle comme exemple :
3 months ago Anonymous user has suggested
On utilise la fonction suivant de création d'un boulon comme exemple :

Suggested change:

On utilise la fonction suivant de création d'un boulon comme exemple :

Loading…

Things to check

Glossary

Source Translation
No related strings were found in the glossary.

Source information

Comments
docs/0.4/freecad/basefunction docs/0.3/freecad/basefunction
Source string age
3 years ago
Translation file
translations/fr/LC_MESSAGES/docs.po, translation unit 44
String priority
Medium